Loading...
Searching...
No Matches
work-queue.h File Reference
Implementation API » Work Queue

pipewire/work-queue.h More...

Go to the source code of this file.

## Typedefs

typedef void(* | pw_work_func_t) (void *obj, void *data, int res, uint32_t id)

## Functions

struct pw_work_queue * | pw_work_queue_new (struct pw_loop *loop)
| Create a new Work Queue.
void | pw_work_queue_destroy (struct pw_work_queue *queue)
| Destroy a work queue.
uint32_t | pw_work_queue_add (struct pw_work_queue *queue, void *obj, int res, pw_work_func_t func, void *data)
| Add an item to the work queue.
int | pw_work_queue_cancel (struct pw_work_queue *queue, void *obj, uint32_t id)
| Cancel a work item.
int | pw_work_queue_complete (struct pw_work_queue *queue, void *obj, uint32_t seq, int res)
| Complete a work item.

## Detailed Description

pipewire/work-queue.h